Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.qms.prequeue
Class JobPreQueue

    java.lang.Object
      lbg.peer.core.qms.prequeue.JobPreQueue

Direct Known Subclasses:
  LiveJobPreQueue, SimulatedJobPreQueue

    public abstract class JobPreQueue

extends java.lang.Object

Pre-queue of incoming requests, that will be transferred to the Queueing Management System as soon as the Peer global lock is released.

Each Local Job is currently composed of 1 Bag of Tasks.

Each Supplying Job is currently composed of 1 Bag of 1 Task.

Author:
  Cyril Briquet

Nested Class Summary
`protected static class` | `JobPreQueue.RequestHolder`

Method Summary
`protected void` | `actuallyTransferJob(JobPreQueue.RequestHolder req)`
`abstract int` | `size()`
`java.lang.String` | `toString()`
`protected abstract void` | `transferJob(JobPreQueue.RequestHolder req)`
`int` | `transferLocalJobToQMS(UserHandle uh, JobDescriptor jd)`
`ConsumptionTaskID` | `transferSupplyingTaskToQMS(Task t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### size

    public abstract int size()
                      throws GridException

  Returns:
    JobPreQueue size
  Throws:
    `GridException` - implementations may throw a GridException if operation is not supported

### transferLocalJobToQMS

    public int transferLocalJobToQMS(UserHandle uh,
                                     JobDescriptor jd)
                              throws GridException

  Throws:
    `GridException`

### transferSupplyingTaskToQMS

    public ConsumptionTaskID transferSupplyingTaskToQMS(Task t)
                                                 throws GridException

  Returns:
    a Consumption Task id if the submitted Supplying Task has been accepted, or null if it has not been accepted
  Throws:
    `GridException`

### transferJob

    protected abstract void transferJob(JobPreQueue.RequestHolder req)
                                 throws GridException

  Throws:
    `GridException`

### actuallyTransferJob

    protected void actuallyTransferJob(JobPreQueue.RequestHolder req)
                                throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.